<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>PatternFormatting (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="PatternFormatting (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PatternFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/IconMultiStateThreshold.html"
               title="class in org.apache.poi.hssf.record.cf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/Threshold.html"
               title="class in org.apache.poi.hssf.record.cf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cf/PatternFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="PatternFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hssf.record.cf</div>
    <h2 title="Class PatternFormatting" class="title">Class PatternFormatting</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hssf.record.cf.PatternFormatting</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Cloneable</dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">PatternFormatting</span>
extends java.lang.Object
implements java.lang.Cloneable</pre>
                <div class="block">Pattern Formatting Block of the Conditional Formatting Rule Record.</div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#ALT_BARS">ALT_BARS</a></span></code>
                                    <div class="block">Wide dots</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#BIG_SPOTS">BIG_SPOTS</a></span></code>
                                    <div class="block">Large spots</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#BRICKS">BRICKS</a></span></code>
                                    <div class="block">Brick-like layout</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#DIAMONDS">DIAMONDS</a></span></code>
                                    <div class="block">Diamonds</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#FINE_DOTS">FINE_DOTS</a></span></code>
                                    <div class="block">Small fine dots</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#LEAST_DOTS">LEAST_DOTS</a></span></code>
                                    <div class="block">Least Dots</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#LESS_DOTS">LESS_DOTS</a></span></code>
                                    <div class="block">Less Dots</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#NO_FILL">NO_FILL</a></span></code>
                                    <div class="block">No background</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SOLID_FOREGROUND">SOLID_FOREGROUND</a></span></code>
                                    <div class="block">Solidly filled</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SPARSE_DOTS">SPARSE_DOTS</a></span></code>
                                    <div class="block">Sparse dots</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SQUARES">SQUARES</a></span></code>
                                    <div class="block">Squares</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_BACKWARD_DIAG">THICK_BACKWARD_DIAG</a></span></code>
                                    <div class="block">Thick backward facing diagonals</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_FORWARD_DIAG">THICK_FORWARD_DIAG</a></span></code>
                                    <div class="block">Thick forward facing diagonals</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_HORZ_BANDS">THICK_HORZ_BANDS</a></span></code>
                                    <div class="block">Thick horizontal bands</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_VERT_BANDS">THICK_VERT_BANDS</a></span></code>
                                    <div class="block">Thick vertical bands</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_BACKWARD_DIAG">THIN_BACKWARD_DIAG</a></span></code>
                                    <div class="block">Thin backward diagonal</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_FORWARD_DIAG">THIN_FORWARD_DIAG</a></span></code>
                                    <div class="block">Thin forward diagonal</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_HORZ_BANDS">THIN_HORZ_BANDS</a></span></code>
                                    <div class="block">Thin horizontal bands</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static short</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_VERT_BANDS">THIN_VERT_BANDS</a></span></code>
                                    <div class="block">Thin vertical bands</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#PatternFormatting--">PatternFormatting</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#PatternFormatting-org.apache.poi.util.LittleEndianInput-">PatternFormatting</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in)</code>
                                    <div class="block">Creates new FontFormatting</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>java.lang.Object</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#clone--">clone</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#getDataLength--">getDataLength</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#getFillBackgroundColor--">getFillBackgroundColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#getFillForegroundColor--">getFillForegroundColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#getFillPattern--">getFillPattern</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#serialize-org.apache.poi.util.LittleEndianOutput-">serialize</a></span>(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#setFillBackgroundColor-int-">setFillBackgroundColor</a></span>(int&nbsp;bg)</code>
                                    <div class="block">set the background fill color.</div>
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#setFillForegroundColor-int-">setFillForegroundColor</a></span>(int&nbsp;fg)</code>
                                    <div class="block">set the foreground fill color</div>
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#setFillPattern-int-">setFillPattern</a></span>(int&nbsp;fp)</code>
                                    <div class="block">setting fill pattern</div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="NO_FILL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>NO_FILL</h4>
                                <pre>public static final&nbsp;short NO_FILL</pre>
                                <div class="block">No background</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.NO_FILL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SOLID_FOREGROUND">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SOLID_FOREGROUND</h4>
                                <pre>public static final&nbsp;short SOLID_FOREGROUND</pre>
                                <div class="block">Solidly filled</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.SOLID_FOREGROUND">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="FINE_DOTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>FINE_DOTS</h4>
                                <pre>public static final&nbsp;short FINE_DOTS</pre>
                                <div class="block">Small fine dots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.FINE_DOTS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="ALT_BARS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>ALT_BARS</h4>
                                <pre>public static final&nbsp;short ALT_BARS</pre>
                                <div class="block">Wide dots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.ALT_BARS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SPARSE_DOTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SPARSE_DOTS</h4>
                                <pre>public static final&nbsp;short SPARSE_DOTS</pre>
                                <div class="block">Sparse dots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.SPARSE_DOTS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THICK_HORZ_BANDS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_HORZ_BANDS</h4>
                                <pre>public static final&nbsp;short THICK_HORZ_BANDS</pre>
                                <div class="block">Thick horizontal bands</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THICK_HORZ_BANDS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THICK_VERT_BANDS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_VERT_BANDS</h4>
                                <pre>public static final&nbsp;short THICK_VERT_BANDS</pre>
                                <div class="block">Thick vertical bands</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THICK_VERT_BANDS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THICK_BACKWARD_DIAG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_BACKWARD_DIAG</h4>
                                <pre>public static final&nbsp;short THICK_BACKWARD_DIAG</pre>
                                <div class="block">Thick backward facing diagonals</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THICK_BACKWARD_DIAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THICK_FORWARD_DIAG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THICK_FORWARD_DIAG</h4>
                                <pre>public static final&nbsp;short THICK_FORWARD_DIAG</pre>
                                <div class="block">Thick forward facing diagonals</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THICK_FORWARD_DIAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BIG_SPOTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BIG_SPOTS</h4>
                                <pre>public static final&nbsp;short BIG_SPOTS</pre>
                                <div class="block">Large spots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.BIG_SPOTS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="BRICKS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>BRICKS</h4>
                                <pre>public static final&nbsp;short BRICKS</pre>
                                <div class="block">Brick-like layout</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.BRICKS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THIN_HORZ_BANDS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_HORZ_BANDS</h4>
                                <pre>public static final&nbsp;short THIN_HORZ_BANDS</pre>
                                <div class="block">Thin horizontal bands</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THIN_HORZ_BANDS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THIN_VERT_BANDS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_VERT_BANDS</h4>
                                <pre>public static final&nbsp;short THIN_VERT_BANDS</pre>
                                <div class="block">Thin vertical bands</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THIN_VERT_BANDS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THIN_BACKWARD_DIAG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_BACKWARD_DIAG</h4>
                                <pre>public static final&nbsp;short THIN_BACKWARD_DIAG</pre>
                                <div class="block">Thin backward diagonal</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THIN_BACKWARD_DIAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="THIN_FORWARD_DIAG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>THIN_FORWARD_DIAG</h4>
                                <pre>public static final&nbsp;short THIN_FORWARD_DIAG</pre>
                                <div class="block">Thin forward diagonal</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.THIN_FORWARD_DIAG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="SQUARES">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>SQUARES</h4>
                                <pre>public static final&nbsp;short SQUARES</pre>
                                <div class="block">Squares</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.SQUARES">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="DIAMONDS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DIAMONDS</h4>
                                <pre>public static final&nbsp;short DIAMONDS</pre>
                                <div class="block">Diamonds</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.DIAMONDS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LESS_DOTS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>LESS_DOTS</h4>
                                <pre>public static final&nbsp;short LESS_DOTS</pre>
                                <div class="block">Less Dots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.LESS_DOTS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="LEAST_DOTS">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>LEAST_DOTS</h4>
                                <pre>public static final&nbsp;short LEAST_DOTS</pre>
                                <div class="block">Least Dots</div>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../constant-values.html#org.apache.poi.hssf.record.cf.PatternFormatting.LEAST_DOTS">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="PatternFormatting--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PatternFormatting</h4>
                                <pre>public&nbsp;PatternFormatting()</pre>
                            </li>
                        </ul>
                        <a name="PatternFormatting-org.apache.poi.util.LittleEndianInput-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>PatternFormatting</h4>
                                <pre>public&nbsp;PatternFormatting(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianInput.html"
                                        title="interface in org.apache.poi.util">LittleEndianInput</a>&nbsp;in)</pre>
                                <div class="block">Creates new FontFormatting</div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getDataLength--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDataLength</h4>
                                <pre>public&nbsp;int&nbsp;getDataLength()</pre>
                            </li>
                        </ul>
                        <a name="setFillPattern-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillPattern</h4>
                                <pre>public&nbsp;void&nbsp;setFillPattern(int&nbsp;fp)</pre>
                                <div class="block">setting fill pattern</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>fp</code> - fill pattern</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#NO_FILL"><code>NO_FILL</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SOLID_FOREGROUND"><code>SOLID_FOREGROUND</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#FINE_DOTS"><code>FINE_DOTS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#ALT_BARS"><code>ALT_BARS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SPARSE_DOTS"><code>SPARSE_DOTS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_HORZ_BANDS"><code>THICK_HORZ_BANDS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_VERT_BANDS"><code>THICK_VERT_BANDS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_BACKWARD_DIAG"><code>THICK_BACKWARD_DIAG</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THICK_FORWARD_DIAG"><code>THICK_FORWARD_DIAG</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#BIG_SPOTS"><code>BIG_SPOTS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#BRICKS"><code>BRICKS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_HORZ_BANDS"><code>THIN_HORZ_BANDS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_VERT_BANDS"><code>THIN_VERT_BANDS</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_BACKWARD_DIAG"><code>THIN_BACKWARD_DIAG</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#THIN_FORWARD_DIAG"><code>THIN_FORWARD_DIAG</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#SQUARES"><code>SQUARES</code></a>,
                                        <a href="../../../../../../org/apache/poi/hssf/record/cf/PatternFormatting.html#DIAMONDS"><code>DIAMONDS</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getFillPattern--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillPattern</h4>
                                <pre>public&nbsp;int&nbsp;getFillPattern()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>fill pattern</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFillBackgroundColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillBackgroundColor</h4>
                                <pre>public&nbsp;void&nbsp;setFillBackgroundColor(int&nbsp;bg)</pre>
                                <div class="block">set the background fill color.</div>
                            </li>
                        </ul>
                        <a name="getFillBackgroundColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillBackgroundColor</h4>
                                <pre>public&nbsp;int&nbsp;getFillBackgroundColor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>get the background fill color</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#getColor-short-"><code>HSSFPalette.getColor(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setFillForegroundColor-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setFillForegroundColor</h4>
                                <pre>public&nbsp;void&nbsp;setFillForegroundColor(int&nbsp;fg)</pre>
                                <div class="block">set the foreground fill color</div>
                            </li>
                        </ul>
                        <a name="getFillForegroundColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getFillForegroundColor</h4>
                                <pre>public&nbsp;int&nbsp;getFillForegroundColor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>get the foreground fill color</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../../org/apache/poi/hssf/usermodel/HSSFPalette.html#getColor-short-"><code>HSSFPalette.getColor(short)</code></a>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="clone--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>clone</h4>
                                <pre>public&nbsp;java.lang.Object&nbsp;clone()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>clone</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="serialize-org.apache.poi.util.LittleEndianOutput-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>serialize</h4>
                                <pre>public&nbsp;void&nbsp;serialize(<a
                                        href="../../../../../../org/apache/poi/util/LittleEndianOutput.html"
                                        title="interface in org.apache.poi.util">LittleEndianOutput</a>&nbsp;out)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/PatternFormatting.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/IconMultiStateThreshold.html"
               title="class in org.apache.poi.hssf.record.cf"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../../org/apache/poi/hssf/record/cf/Threshold.html"
               title="class in org.apache.poi.hssf.record.cf"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/hssf/record/cf/PatternFormatting.html" target="_top">Frames</a>
        </li>
        <li><a href="PatternFormatting.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
